XcupQueryVersion(3) | Library Functions Manual | XcupQueryVersion(3)

# NAME

XcupQueryVersion - Returns TOG-CUP protocol version supported by the X server

# SYNOPSIS

    cc [ flag ... ] file ... -lXext [ library ... ]
    #include <X11/extensions/Xcup.h>

    Status XcupQueryVersion(Display *display,

        int *major_version_return, int *minor_version_return);

# ARGUMENTS

display
  Specifies the connection to the X server
major_version_return
  Returns the major version supported by the server
minor_version_return
  Returns the minor version supported by the server

# DESCRIPTION

XcupQueryVersion sets major_version_return and minor_version_return to the major and minor TOG-CUP protocol version supported by the server. If the TOG-CUP library is compatible with the version returned by the server, it returns nonzero. If the server does not support the TOG-CUP extension, or if there was an error during communications with the server, or if the server and library protocol versions are incompatible, it returns zero. No other Xcup functions may be called before this function. If a client violates this rule, the effects of all subsequent Xcup calls that it makes are undefined.

To get the list of reserved colormap entries, use XcupGetReservedColormapEntries.

To allocate one or more read-only color cells with RGB values, use XcupStoreColors.

# SEE ALSO

XcupGetReservedColormapEntries(3Xext), XcupStoreColors(3Xext),
Colormap Utilization Policy and Extension

2005-01-22 | X Version 11